Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.joseki
Class HttpRemove

    java.lang.Object
      com.hp.hpl.jena.joseki.HttpExecute
          com.hp.hpl.jena.joseki.HttpExecuteModel
              com.hp.hpl.jena.joseki.HttpRemove

public class HttpRemove
extends HttpExecuteModel

Remove statements to a remote model. A typical code sequence might be:

        HttpRemove removeOp = new HttpRemove(URL of target) ;
        removeOp.setModel(your model);
        addOp.exec() ;        // Result is an empty model

or

        HttpRemove removeOp = new HttpRemove(URL of target) ;
        // Collect statements to be added
        removeOp.remove(statement) ;
        removeOp.remove(model) ;  // Remove all the statements as given in a model
        removeOp.remove() ;       // Result is an empty model

Any problems cause `HttpException` to be thrown on .exec()

Version:
  $Id: HttpRemove.java,v 1.7 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`HttpRemove(java.lang.String urlStr)`
`HttpRemove(java.net.URL url)` Create an operation for removing statements to a remote model

Method Summary
`void` | `remove(com.hp.hpl.jena.rdf.model.Model model)` Accumulate statements to be removed when the operations is executed
`void` | `remove(com.hp.hpl.jena.rdf.model.Statement statement)` Accumulate statements to be removed when the operations is executed

Methods inherited from class com.hp.hpl.jena.joseki.HttpExecuteModel
`getModel, setModel`

Methods inherited from class com.hp.hpl.jena.joseki.HttpExecute
`exec`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRemove

    public HttpRemove(java.net.URL url)
               throws java.net.MalformedURLException

  Create an operation for removing statements to a remote model

### HttpRemove

    public HttpRemove(java.lang.String urlStr)
               throws java.net.MalformedURLException

Method Detail

### remove

    public void remove(com.hp.hpl.jena.rdf.model.Model model)

  Accumulate statements to be removed when the operations is executed

  Parameters:
    `model` - A set of statements to be removed on execution

### remove

    public void remove(com.hp.hpl.jena.rdf.model.Statement statement)

  Accumulate statements to be removed when the operations is executed

  Parameters:
    `statement` - A statement to be removed on execution

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2003, 2004 Hewlett-Packard Development Company, LP